Subject: RE: strange linker messages
From: [email-masked] (Colin Peters)

10 May 1997 10:51:01 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <01BC5D5E.8AFBD480.cygnus.gnu-win32@gbird0>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
Original-To: "'Carl H. Sayres'" <[email-masked]>
Original-Cc: "'GNU-Win32'" <[email-masked]>
Original-Sender: [email-masked]

Carl H. Sayres[SMTP:[email-masked]] wrote:
>I'm getting the following liker messages which I don't understand.
>(I have no impure.c or _impure_ptr anywhere in my code!)
>Can soemone explain this to me? Thanks a bunch.
>
>$ cc -O2 -c sblat2.c
>$ cc sblat2.o ../../blas_alpha.a ../../F2CLIBS/libI77.a \       
>../../F2CLIBS/libF77.a -lm -lc -o ../xblat2s
>
>C:\usr\GNU\H-i386-cygwin32\lib\gcc-lib\i386-cygwin32\cygnus-2.7.2-
>970404\../../../../i386-cygwin32\lib/libcygwin.a 
>(libccrt0.o)(.data+0x0):libccrt0.cc: multiple definition of `_impure_ptr'
>
>C:\usr\GNU\H-i386-cygwin32\lib\gcc-lib\i386-cygwin32\cygnus-2.7.2-
>970404\../../../../i386-cygwin32\lib/libc.a(impure.o)(.data+0x2ec):impure.c: 
>first defined here

If I'm not mistaken the problem here is -lc on your link command line. You
don't need to link libc directly since it is already part of libcygwin,
which gets linked automatically.

Just a guess.

Colin.

PS. Question to GNU-Win32 crowd: Is this also true of libm... or not?

-- Colin Peters - [email-masked]
-- Saga University Dept. of Information Science
-- http://www.fu.is.saga-u.ac.jp/~colin/index.html
-- http://www.geocities.com/Tokyo/Towers/6162/

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".